@import url(../templates/gestao.css);
@import url(../templates/solucoes.css);
@import url(../templates/ruler.css);

/* PAGINA: SOBRE */
#metodologia {
  padding-top: 80px;
  & h3 {
    max-width: 1064px;
    color: var(--primary);
  }

  & .content {
    padding-top: 80px;

    display: flex;
    align-items: center;

    & .box_metodologias {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 32px 42px;

      max-width: 752px;
      margin-left: -190px;

      & .card_metodologia {
        display: flex;
        align-items: start;

        padding: 26px 16px;
        gap: 10px;

        background: #fffc;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.03);
        backdrop-filter: blur(11.05px);
        border-radius: 5px;

        & h4 {
          color: var(--primary);
        }
      }
    }
  }
}

#content_sobre {
  padding-top: 134px;

  & h4,
  & h5 {
    color: var(--primary);
  }

  & h4 {
    margin-bottom: 66px;
  }

  & h5 {
    margin-top: 30px;
  }

  & p + p {
    margin-top: 1.5rem;
  }
}

#processos {
  & > div {
    gap: 56px;
  }

  & .title_gestao {
    max-width: 824px;
    margin: 0 auto;

    text-align: center;

    display: flex;
    flex-direction: column;
    gap: 20px;

    & h3 {
      color: var(--primary);
    }
  }

  & .list_processo {
    display: flex;
  }

  & .processo {
    display: block;
    width: 100%;
    height: auto;

    background-color: var(--white);

    position: relative;
    overflow: hidden;

    color: var(--gray-100);
	  
	  &:hover {
		  & img {
			  transform: scale(1.2);
		  }
	  }
	  
	  & img {
		  transition: all .5s ease;
	  }

    &::before {
      content: "";

      width: 100%;
      height: 100%;

      position: absolute;
      bottom: 0;
      left: 0;

      background: linear-gradient(
        0deg,
        rgba(3, 24, 54, 0.6),
        rgba(3, 24, 54, 0.6)
      );

      z-index: 1;
    }

    & > div {
      min-width: 296px;

      position: absolute;
      bottom: 40px;
      left: 50%;

      transform: translateX(-50%);

      text-align: center;

      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: start;
      gap: 18px;

      z-index: 2;
    }
  }

  & .processosSwiper {
    padding: 30px 0;

    & .swiper-pagination-bullets.swiper-pagination-horizontal {
      bottom: 0;
    }
  }
}

@media (max-width: 1400px) {
  #metodologia {
    & .content {
      & img {
        max-width: 60%;
      }

      & .box_metodologias {
        margin-left: -290px;
      }
    }
  }
}

@media (max-width: 992px) {
  #banner_topo {
    height: 450px;

    & .row {
      & h2 {
        text-align: center;
        margin: 0 auto;
      }
    }
  }

  #metodologia {
    & .content {
      flex-direction: column;

      & img {
        max-width: 100%;
      }

      & .box_metodologias {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 32px 42px;
        max-width: 752px;
        margin: 40px auto;
      }
    }
  }
}

@media (max-width: 768px) {
  #metodologia {
    padding-inline: 26px;
    padding-bottom: 40px;

    & h3 {
      max-width: 100%;
      font-size: 1.5rem;
      text-align: center;
    }

    & .content {
      flex-direction: column;
      gap: 40px;

      & .box_metodologias {
        grid-template-columns: 1fr;
        max-width: 100%;
        margin-left: auto;
      }
    }
  }

  #content_sobre {
    padding-top: 60px;
    padding-inline: 26px;

    & h4 {
      margin-bottom: 30px;
    }
  }

  #processos {
    padding-inline: 26px;

    & .list_processo {
      display: grid;
      grid-template-columns: 1fr;
      row-gap: 1rem;

      & .processo {
        width: 100%;
        height: auto;
      }
    }
  }
}
